%define majver %(echo %version | cut -d. -f1-2)
%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          plasma-activities
Version:       6.2.3
Release:       1mamba
Summary:       KDE Plasma Core components for the KDE Activity concept
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/it/plasma-desktop/
Source:        https://download.kde.org/%{stable_kf6}/plasma/%{plasmaver}/plasma-activities-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6Sql
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Plasma Core components for the KDE Activity concept.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files
%defattr(-,root,root)
%{_bindir}/plasma-activities-cli6
%{_datadir}/qlogging-categories6/plasma-activities.categories
%{_datadir}/qlogging-categories6/plasma-activities.renamecategories
%doc LICENSES

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libPlasmaActivities.so.*
%dir %{_qt6_qmldir}/org/kde/activities
%{_qt6_qmldir}/org/kde/activities/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/PlasmaActivities
%{_includedir}/PlasmaActivities/*
%{_libdir}/libPlasmaActivities.so
%dir %{_libdir}/cmake/PlasmaActivities
%{_libdir}/cmake/PlasmaActivities/PlasmaActivities*.cmake
%{_libdir}/pkgconfig/PlasmaActivities.pc
%{_qt6_docdir}/PlasmaActivities.*

%changelog
* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 6.2.3-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 16 2024 Automatic Build System <autodist@openmamba.org> 6.2.1-1mamba
- automatic version update by autodist

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 6.1.90-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 6.1.5-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 6.1.4-1mamba
- automatic version update by autodist

* Wed Jul 17 2024 Automatic Build System <autodist@openmamba.org> 6.1.3-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 6.1.2-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Sat Jun 22 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 6.0.90-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 6.0.5-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 6.0.4-1mamba
- automatic version update by autodist

* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 6.0.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 6.0.2-1mamba
- automatic version update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 6.0.1-1mamba
- automatic update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Sun Feb 04 2024 Automatic Build System <autodist@openmamba.org> 5.93.0-2mamba
- automatic version update by autodist

* Sun Feb 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.93.0-1mamba
- update to 5.93.0

* Tue Jan 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.92.0-1mamba
- package created using the webbuild interface
